> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all component events relevant to the specified guest pass

> Retrieve all component events relevant to the specified guest pass



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/component/findComponentEventsByGuestPass
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/component/findComponentEventsByGuestPass:
    post:
      tags:
        - Component Webservice
      summary: Retrieve all component events relevant to the specified guest pass
      description: Retrieve all component events relevant to the specified guest pass
      operationId: findComponentEventsByGuestPass
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Component_FindComponentEventsByGuestPassWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Component_FindComponentEventsByGuestPassWSResponse
          description: OK
components:
  schemas:
    Component_FindComponentEventsByGuestPassWSRequest:
      type: object
      properties:
        createdAfterMs:
          type: integer
          format: int64
          nullable: true
        createdBeforeMs:
          type: integer
          format: int64
          nullable: true
        guestPassUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        limit:
          type: integer
          format: int32
          nullable: true
        typeFilter:
          type: array
          items:
            $ref: '#/components/schemas/ComponentEventEnumType'
          nullable: true
    Component_FindComponentEventsByGuestPassWSResponse:
      type: object
      properties:
        componentEvents:
          type: array
          items:
            $ref: '#/components/schemas/ComponentEventType'
          nullable: true
    ComponentEventEnumType:
      type: string
      description: >-
        Limits results to only contain the specified type of events, if
        applicable
      enum:
        - DoorbellEvent
        - DoorReaderStateChangeEvent
        - DoorRelayStateChangeEvent
        - DoorPositionIndicatorStateChangeEvent
        - RequestToExitStateChangeEvent
        - CredentialReceivedEvent
        - ButtonEvent
        - GenericInputStateChangeEvent
        - GenericRelayStateChangeEvent
        - AccessControlUnitTamperEvent
        - AccessControlUnitLocationLockdownStateEvent
        - DoorLocationLockdownStateEvent
        - PanicButtonEvent
        - AccessControlUnitBatteryStateChangeEvent
        - WaveToUnlockIntentExpiredEvent
        - DoorStateChangeEvent
        - DoorAuthFirstInStateEvent
        - DoorScheduleFirstInStateEvent
        - AccessControlUnitDoorFirstInStateEvent
        - AperioDoorExtensionStateEvent
        - AperioActivatorStateEvent
        - AperioKeyCylinderStateEvent
        - AperioDoorModeEvent
        - AperioDoorHandleStateEvent
        - AperioGatewayStateEvent
        - AperioGatewayConnectionStateChangeEvent
        - AperioDtcEvent
        - AperioTamperStateEvent
    ComponentEventType:
      type: object
      description: List of component events for the doorbell camera
      discriminator:
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/DoorbellEventType'
        - $ref: '#/components/schemas/DoorReaderStateChangeEventType'
        - $ref: '#/components/schemas/DoorRelayStateChangeEventType'
        - $ref: '#/components/schemas/DoorPositionIndicatorStateChangeEventType'
        - $ref: '#/components/schemas/RequestToExitStateChangeEventType'
        - $ref: '#/components/schemas/CredentialReceivedEventType'
        - $ref: '#/components/schemas/ButtonEventType'
        - $ref: '#/components/schemas/GenericInputStateChangeEventType'
        - $ref: '#/components/schemas/GenericRelayStateChangeEventType'
        - $ref: '#/components/schemas/AccessControlUnitTamperEventType'
        - $ref: '#/components/schemas/AccessControlUnitLocationLockdownStateEventType'
        - $ref: '#/components/schemas/DoorLocationLockdownStateEventType'
        - $ref: '#/components/schemas/PanicButtonEventType'
        - $ref: '#/components/schemas/AccessControlUnitBatteryStateChangeEventType'
        - $ref: '#/components/schemas/WaveToUnlockIntentExpiredEvent'
        - $ref: '#/components/schemas/DoorStateChangeEvent'
        - $ref: '#/components/schemas/DoorAuthFirstInStateEvent'
        - $ref: '#/components/schemas/DoorScheduleFirstInStateEvent'
        - $ref: '#/components/schemas/AccessControlUnitDoorFirstInStateEvent'
        - $ref: '#/components/schemas/AperioDtcEvent'
        - $ref: '#/components/schemas/AperioDoorExtensionStateEvent'
        - $ref: '#/components/schemas/AperioActivatorStateEvent'
        - $ref: '#/components/schemas/AperioDoorModeEvent'
        - $ref: '#/components/schemas/AperioDoorHandleStateEvent'
        - $ref: '#/components/schemas/AperioKeyCylinderStateEvent'
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorbellEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newSupervisionState:
              $ref: '#/components/schemas/SupervisionStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorReaderStateChangeEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newState:
              $ref: '#/components/schemas/DoorReaderStateEnumType'
            reason:
              $ref: '#/components/schemas/DoorReaderStateChangeReasonEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorRelayStateChangeEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newState:
              $ref: '#/components/schemas/DoorRelayStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorPositionIndicatorStateChangeEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newState:
              $ref: '#/components/schemas/DoorPositionIndicatorStateEnumType'
            newSupervisionState:
              $ref: '#/components/schemas/SupervisionStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    RequestToExitStateChangeEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            intentOnly:
              type: boolean
              nullable: true
            newState:
              $ref: '#/components/schemas/RequestToExitStateEnumType'
            newSupervisionState:
              $ref: '#/components/schemas/SupervisionStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    CredentialReceivedEventType:
      type: object
      allOf:
        - type: object
          properties:
            accessGrantOrRevocationUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            activeDoorLockdownState:
              $ref: '#/components/schemas/DoorLockdownStateEnumType'
            activeLockdownPlanUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            appName:
              type: string
              nullable: true
            appOS:
              type: string
              nullable: true
            appVersion:
              type: string
              nullable: true
            authDecisionSource:
              $ref: '#/components/schemas/AuthDecisionSourceEnum'
            authDecisionUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            authWaitTimeMs:
              type: integer
              format: int32
              nullable: true
            authWaitTimeMsTotal:
              type: integer
              format: int64
              nullable: true
            authenticationResult:
              $ref: '#/components/schemas/AccessControlAuthenticationResultEnumType'
            authorizationResult:
              $ref: '#/components/schemas/AccessControlAuthorizationResultEnumType'
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            credSource:
              $ref: '#/components/schemas/CredentialSourceEnumType'
            credentialHexValue:
              type: string
              nullable: true
            credentialUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            credentialValue:
              type: string
              nullable: true
            credentialValueLengthBits:
              type: integer
              format: int32
              nullable: true
            credentials:
              type: array
              items:
                $ref: '#/components/schemas/CredentialEntry'
              nullable: true
            deviceModel:
              type: string
              nullable: true
            managedCredentialUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
            satisfiesFirstInSettingsUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            userAgent:
              type: string
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ButtonEventType:
      type: object
      allOf:
        - type: object
          properties:
            buttonPress:
              $ref: '#/components/schemas/ButtonPressEnum'
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newSupervisionState:
              $ref: '#/components/schemas/SupervisionStateEnumType'
            pressDurationMillis:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    GenericInputStateChangeEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newState:
              $ref: '#/components/schemas/GenericInputStateEnumType'
            newSupervisionState:
              $ref: '#/components/schemas/SupervisionStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    GenericRelayStateChangeEventType:
      type: object
      allOf:
        - type: object
          properties:
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
            steadyState:
              $ref: '#/components/schemas/GenericRelayStateEnumType'
            steadyStateChangedAtMs:
              type: integer
              format: int64
              nullable: true
            transientState:
              $ref: '#/components/schemas/GenericRelayStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AccessControlUnitTamperEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            source:
              $ref: '#/components/schemas/AccessControlUnitTamperSourceEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AccessControlUnitLocationLockdownStateEventType:
      type: object
      allOf:
        - type: object
          properties:
            activatedLockdownPlans:
              type: array
              items:
                $ref: '#/components/schemas/LockdownPlanReference'
              nullable: true
            activeLockdownPlans:
              type: array
              items:
                $ref: '#/components/schemas/LockdownPlanReference'
              nullable: true
            deactivatedLockdownPlans:
              type: array
              items:
                $ref: '#/components/schemas/LockdownPlanReference'
              nullable: true
            doorEventReferenceMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/DoorLockdownStateEventReference'
              nullable: true
            followingTestPlan:
              type: boolean
              nullable: true
            locationLockdownStateChangedAtMillis:
              type: integer
              format: int64
              nullable: true
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
            state:
              $ref: '#/components/schemas/LocationLockdownStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorLocationLockdownStateEventType:
      type: object
      allOf:
        - type: object
          properties:
            activatedLockdownPlan:
              $ref: '#/components/schemas/LockdownPlanReference'
            activeLockdownPlan:
              $ref: '#/components/schemas/LockdownPlanReference'
            acuEventUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            deactivatedLockdownPlan:
              $ref: '#/components/schemas/LockdownPlanReference'
            followingTestPlan:
              type: boolean
              nullable: true
            locationLockdownStateChangedAtMillis:
              type: integer
              format: int64
              nullable: true
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
            state:
              $ref: '#/components/schemas/LocationLockdownStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    PanicButtonEventType:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newSupervisionState:
              $ref: '#/components/schemas/SupervisionStateEnumType'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AccessControlUnitBatteryStateChangeEventType:
      type: object
      allOf:
        - type: object
          properties:
            batteryFound:
              type: boolean
              nullable: true
            batteryMa:
              type: integer
              format: int32
              nullable: true
            batteryMv:
              type: integer
              format: int32
              nullable: true
            onBackupPower:
              type: boolean
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    WaveToUnlockIntentExpiredEvent:
      type: object
      allOf:
        - type: object
          properties:
            authWaitMs:
              type: integer
              format: int64
              nullable: true
            authWaitMsTotal:
              type: integer
              format: int32
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            credentials:
              type: array
              items:
                $ref: '#/components/schemas/CredentialEntry'
              nullable: true
            rssiThreshold:
              type: integer
              format: int32
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorStateChangeEvent:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newState:
              $ref: '#/components/schemas/AccessControlledDoorStateEnumType'
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
            source:
              $ref: '#/components/schemas/AccessStateSourceEnum'
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorAuthFirstInStateEvent:
      type: object
      allOf:
        - type: object
          properties:
            acuEventUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newState:
              $ref: '#/components/schemas/FirstInFirmwareStatusEnum'
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
            settingsUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            source:
              $ref: '#/components/schemas/FirstInSourceEnum'
            stateChangedAtMs:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorScheduleFirstInStateEvent:
      type: object
      allOf:
        - type: object
          properties:
            acuEventUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            newState:
              $ref: '#/components/schemas/FirstInFirmwareStatusEnum'
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
            settingsUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            source:
              $ref: '#/components/schemas/FirstInSourceEnum'
            stateChangedAtMs:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AccessControlUnitDoorFirstInStateEvent:
      type: object
      allOf:
        - type: object
          properties:
            doorAuthFirstInEventReference:
              $ref: '#/components/schemas/DoorFirstInStateChangeEventReference'
            doorScheduleFirstInEventReference:
              $ref: '#/components/schemas/DoorFirstInStateChangeEventReference'
            settingsUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AperioDtcEvent:
      type: object
      allOf:
        - type: object
          properties:
            aperioDeviceId:
              type: array
              items:
                type: string
                format: byte
                nullable: true
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            dtcs:
              type: array
              items:
                $ref: '#/components/schemas/DtcInfo'
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AperioDoorExtensionStateEvent:
      type: object
      allOf:
        - type: object
          properties:
            activatorState:
              type: integer
              format: int32
              nullable: true
            activatorStateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
            aperioId:
              type: string
              nullable: true
            clockRetrievedAtMs:
              type: integer
              format: int64
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            connected:
              type: boolean
              nullable: true
            connectionStateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
            deviceClockSec:
              type: integer
              format: int64
              nullable: true
            deviceTimezone:
              type: integer
              format: int32
              nullable: true
            doorMode:
              type: integer
              format: int32
              nullable: true
            doorModeUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
            dtcs:
              type: array
              items:
                $ref: '#/components/schemas/DtcInfo'
              nullable: true
            handleState:
              type: integer
              format: int32
              nullable: true
            handleStateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
            keyCylinderState:
              type: integer
              format: int32
              nullable: true
            keyCylinderStateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
            removed:
              type: boolean
              nullable: true
            tamperState:
              type: integer
              format: int32
              nullable: true
            tamperStateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AperioActivatorStateEvent:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            state:
              type: integer
              format: int32
              nullable: true
            stateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AperioDoorModeEvent:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            state:
              type: integer
              format: int32
              nullable: true
            stateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AperioDoorHandleStateEvent:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            state:
              type: integer
              format: int32
              nullable: true
            stateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AperioKeyCylinderStateEvent:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            state:
              type: integer
              format: int32
              nullable: true
            stateUpdatedAtMs:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        correlationId:
          type: string
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ComponentEventEnumType'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    SupervisionStateEnumType:
      type: string
      enum:
        - CUT_DETECTED
        - SHORT_DETECTED
        - NORMAL
        - INVALID
        - UNKNOWN
    DoorReaderStateEnumType:
      type: string
      enum:
        - CONNECTED
        - DISCONNECTED
        - UNKNOWN
    DoorReaderStateChangeReasonEnumType:
      type: string
      enum:
        - FIRMWARE_UPGRADE
        - FORCED_REBOOT
        - UNKNOWN
    DoorRelayStateEnumType:
      type: string
      enum:
        - UNLOCKED
        - LOCKED
        - UNKNOWN
    DoorPositionIndicatorStateEnumType:
      type: string
      enum:
        - OPEN
        - CLOSED
        - AJAR
        - FORCED_OPEN
        - ERROR
        - UNKNOWN
    RequestToExitStateEnumType:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
    DoorLockdownStateEnumType:
      type: string
      enum:
        - LOCKED_DOWN
        - ACCESS_CONTROLLED
        - UNLOCKED
        - UNKNOWN
    AuthDecisionSourceEnum:
      type: string
      enum:
        - ACCESS_GRANT
        - ACCESS_REVOCATION
        - LOCKDOWN
        - FIRST_IN_SETTINGS
        - CONFIG
        - ADMIN
        - PRIVACY
        - ERROR
        - UNKNOWN
    AccessControlAuthenticationResultEnumType:
      type: string
      enum:
        - ACCEPTED
        - REJECTED
        - ERROR
        - NA
    AccessControlAuthorizationResultEnumType:
      type: string
      enum:
        - ALLOWED
        - DENIED
        - DISABLED
        - ERROR
        - NA
    CredentialSourceEnumType:
      type: string
      enum:
        - UNKNOWN
        - NFC
        - BLE_WAVE
        - BLE
        - WIEGAND
        - REMOTE
        - REMOTE_ADMIN
        - UNK_3P_OSDP
        - APERIO_NFC
        - APERIO_LF
        - APERIO_KEYPAD
        - KEYPAD_WIEGAND
        - KEYPAD_OSDP
        - BLE_PROX
    CredentialEntry:
      type: object
      discriminator:
        propertyName: credSource
      nullable: true
      oneOf:
        - $ref: '#/components/schemas/CredentialEntryBleWave'
      properties:
        credSource:
          $ref: '#/components/schemas/CredentialSourceEnumType'
        credentialId:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        firstInEligible:
          type: boolean
          nullable: true
        originator:
          $ref: '#/components/schemas/BaseEventOriginator'
    BaseEventOriginator:
      type: object
      discriminator:
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/SupportAuthorityEventOriginator'
        - $ref: '#/components/schemas/ApiTokenEventOriginator'
        - $ref: '#/components/schemas/UserEventOriginator'
        - $ref: '#/components/schemas/RuleEventOriginator'
        - $ref: '#/components/schemas/ComponentCompositeEventOriginator'
        - $ref: '#/components/schemas/GuestPassEventOriginator'
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    ButtonPressEnum:
      type: string
      enum:
        - NONE
        - SINGLE
        - DOUBLE
        - LONG
        - INITIAL_PRESS
        - LONG_RELEASE
    GenericInputStateEnumType:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
    GenericRelayStateEnumType:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
    AccessControlUnitTamperSourceEnumType:
      type: string
      enum:
        - PROX
        - ACCEL
        - SWITCH
        - NA
    LockdownPlanReference:
      type: object
      properties:
        lockdownPlanUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        scope:
          $ref: '#/components/schemas/LockdownPlanScopeEnumType'
        scopeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DoorLockdownStateEventReference:
      type: object
      nullable: true
      properties:
        activatedLockdownPlan:
          $ref: '#/components/schemas/LockdownPlanReference'
        activeLockdownPlan:
          $ref: '#/components/schemas/LockdownPlanReference'
        deactivatedLockdownPlan:
          $ref: '#/components/schemas/LockdownPlanReference'
        doorEventUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        doorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    LocationLockdownStateEnumType:
      type: string
      enum:
        - STANDARD_SECURITY
        - LOCKED_DOWN
    AccessControlledDoorStateEnumType:
      type: string
      enum:
        - UNLOCKED
        - ACCESS_CONTROLLED
    AccessStateSourceEnum:
      type: string
      enum:
        - DEFAULT_STATE
        - SCHEDULE
        - SCHEDULE_EXCEPTION
        - FIRST_IN
        - DOOR_STATE_OVERRIDE
        - LOCKDOWN
        - PRIVACY
        - UNKNOWN
    FirstInFirmwareStatusEnum:
      type: string
      enum:
        - DISABLED
        - NOT_CONFIGURED
        - REQUIRED
        - SATISFIED
        - UNKNOWN
    FirstInSourceEnum:
      type: string
      enum:
        - CONFIG_MANUAL_OVERRIDE
        - CONFIG_REQUIREMENT_CHANGE
        - CONFIG_MEMBERSHIP
        - SCHEDULED_RESET
        - LOCAL_BADGE_EVENT
        - LOCKDOWN
        - UNKNOWN
    DoorFirstInStateChangeEventReference:
      type: object
      nullable: true
      properties:
        doorUuidToEventUuidMap:
          type: object
          additionalProperties:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        newState:
          $ref: '#/components/schemas/FirstInFirmwareStatusEnum'
        originatingDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        originatingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        originator:
          $ref: '#/components/schemas/BaseEventOriginator'
        source:
          $ref: '#/components/schemas/FirstInSourceEnum'
        stateChangedAtMs:
          type: integer
          format: int64
          nullable: true
    DtcInfo:
      type: object
      nullable: true
      properties:
        code:
          type: array
          items:
            type: string
            format: byte
            nullable: true
          nullable: true
        failing:
          type: boolean
          nullable: true
        hasFailed:
          type: boolean
          nullable: true
        testCompleted:
          type: boolean
          nullable: true
        time:
          type: integer
          format: int64
          nullable: true
    CredentialEntryBleWave:
      type: object
      allOf:
        - type: object
          properties:
            finalRssi:
              type: integer
              format: int32
              nullable: true
            firstRssi:
              type: integer
              format: int32
              nullable: true
            firstRssiAtIntentElapsed:
              type: integer
              format: int32
              nullable: true
            lostAtIntentElapsed:
              type: integer
              format: int32
              nullable: true
            lostAtRssi:
              type: integer
              format: int32
              nullable: true
            maxRssi:
              type: integer
              format: int32
              nullable: true
            maxRssiAtIntentElapsed:
              type: integer
              format: int32
              nullable: true
            sessionFirstRssi:
              type: integer
              format: int32
              nullable: true
            sessionFirstRssiAtElapsed:
              type: integer
              format: int32
              nullable: true
            sessionLostAtElapsed:
              type: integer
              format: int32
              nullable: true
            sessionLostAtRssi:
              type: integer
              format: int32
              nullable: true
            sessionMaxRssi:
              type: integer
              format: int32
              nullable: true
            sessionMaxRssiAtElapsed:
              type: integer
              format: int32
              nullable: true
      nullable: true
      properties:
        credSource:
          $ref: '#/components/schemas/CredentialSourceEnumType'
        credentialId:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        firstInEligible:
          type: boolean
          nullable: true
        originator:
          $ref: '#/components/schemas/BaseEventOriginator'
    SupportAuthorityEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            grantedToInternalEntityUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            grantedToName:
              type: string
              nullable: true
            supportAuthorityUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            supportUserEmail:
              type: string
              nullable: true
            supportUsername:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    ApiTokenEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            tokenName:
              type: string
              nullable: true
            tokenUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    UserEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            userEmail:
              type: string
              nullable: true
            userUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            username:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    RuleEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            ruleName:
              type: string
              nullable: true
            ruleUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    ComponentCompositeEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            componentCompositeName:
              type: string
              nullable: true
            componentCompositeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            correlationId:
              type: string
              nullable: true
            eventUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            originator:
              $ref: '#/components/schemas/BaseEventOriginator'
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    GuestPassEventOriginator:
      type: object
      allOf:
        - type: object
          properties:
            guestPassName:
              type: string
              nullable: true
            guestPassUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/EventOriginatorEnum'
    EventOriginatorEnum:
      type: string
      enum:
        - USER
        - SUPPORT_AUTHORITY
        - API_TOKEN
        - RULE
        - COMPONENT_COMPOSITE_EVENT
        - GUEST_PASS
        - UNKNOWN
    LockdownPlanScopeEnumType:
      type: string
      enum:
        - ORG_LOCKDOWN
        - LOCATION_LOCKDOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````